using System;
using System.Collections.Generic;
using System.Text;
using System.Net;
using System.Net.NetworkInformation;

namespace DesktopText
{
	public class InternetConnector
	{
		private static bool _usingProxyServer = false;

		public static WebClient GetWebClient(ref LoginInfo info)
		{
			WebClient wc = new WebClient();
			_usingProxyServer = CanPing(Cfg.Def.ProxyServer);

			if (_usingProxyServer)
			{
				if (info == null)
					info = new LoginInfo(Cfg.Def.ProxyServer, Cfg.Def.ProxyUser, Cfg.Def.ProxyUserDomain);

				if (!info.PasswordSpecified)
					throw new MissingLoginInfoException();

				wc.Proxy = new WebProxy(info.Target, true, null, info.Credentials);
			}
			return wc;
		}
		public static bool UsingProxyServer
		{
			get { return _usingProxyServer; }
		}
		private static bool CanPing(string address)
		{
			bool result = false;
			try 
			{
				if (new Ping().Send(address).Status == IPStatus.Success)
					result = true;
			}
			catch /*(Exception ex)*/ {}
			return result;
		}
	}
}
